[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[virt-tools-list] [virt-manager PATCH] autogen: Don't fail when config.status doesn't exist



Hi list,

A recent change introduced a problem into autogen.sh where you
couldn't do autogen at all, if you don't have a file called
config.status (see
http://hg.fedorahosted.org/hg/virt-manager/rev/e0f406f266ad )

I have attached a patch to fix this; you can also get it by pulling
https://bitbucket.org/intgr/virt-manager-fixes

Regards,
Marti
# HG changeset patch
# User Marti Raudsepp <marti juffo org>
# Date 1287574556 -10800
# Node ID c1a52c2380f960c57ff33a13cde79232f8bcc002
# Parent  3caa5bdc078b419fb20e350fe5f440704e607c78
autogen: Don't fail when config.status doesn't exist

diff --git a/autogen.sh b/autogen.sh
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,7 +6,7 @@
 touch config.rpath
 
 # Make makefiles.
-rm config.status
+rm config.status || true
 intltoolize --automake --copy --force
 perl -i -p -e 's,^DATADIRNAME.*$,DATADIRNAME = share,' po/Makefile.in.in
 perl -i -p -e 's,^GETTEXT_PACKAGE.*$,GETTEXT_PACKAGE = virt-manager,' po/Makefile.in.in

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]